@import "breakpoints";

.content-wrapper {
  position: relative;

  .version-indicator {
    position: absolute;
    top: 5px;
    right: 5px;
    white-space: nowrap;
    font-size: 10px;
    color: var(--ion-color-medium-shade);
  }

  .voice-indicator-wrapper {
    position: relative;
    padding: 10px;

    .voice-indicator {
      display: inline-block;
      width: 15px;
      height: 15px;
      border-radius: 50%;
      background-color: var(--ion-color-medium);

      &.voice-active {
        background-color: var(--ion-color-success);
      }
    }

    .voice-own-label {
      display: inline-block;
      vertical-align: top;
      font-size: 14px;
      padding: 0 10px;
      color: var(--ion-color-medium);

      .voice-own-id {
        font-size: 10px;
        color: var(--ion-color-medium-shade);
      }
    }

    .voice-last-input {
      display: inline-block;
      vertical-align: top;
      font-size: 14px;
      color: var(--ion-color-medium);
    }

    .voice-action-buttons {
      position: absolute;
      top: 13px;
      right: 0;

      ion-button {
        position: relative;
        font-size: 12px;
        --padding-start: 5px;
        --padding-end: 5px;

        ion-icon {
          color: var(--ion-color-medium);

          &.update {
            color: var(--ion-color-success);
          }
        }

        .cooldown-counter {
          position: absolute;
          bottom: 0;
          right: 0;
          font-size: 8px;
          color: var(--ion-color-dark);
        }
      }
    }
  }

  .no-player-connected {
    padding: 15px 10px;

    .no-player-connected-label {
      display: inline-block;
      vertical-align: top;
      font-size: 16px;
      color: var(--ion-color-medium-shade);
    }
  }

  .remote-players-wrapper {
    padding: 10px;

    .remote-players-label {
      padding: 5px 0 10px;
      font-size: 18px;
      color: var(--fg-headline);

      &.inactive {
        color: var(--ion-color-light-shade);
      }
    }

    .no-remote-players-label {
      padding: 5px 0 15px;
      font-size: 14px;
      color: var(--ion-color-medium);

      &.inactive {
        color: var(--ion-color-light-shade);
      }
    }

    .anti-name-snipe-wrapper {
      padding: 5px 0 15px;
      display: block;
      position: relative;

      .anti-name-snipe-label {
        font-size: 14px;
        color: var(--ion-color-medium);
      }
    }

    .remote-player {
      display: block;
      position: relative;
      padding: 0 0 15px;
      white-space: nowrap;

      &.hide-player-name {
        height: 0.0001px;
        padding: 0;
        overflow: hidden;
      }

      .remote-voice-indicator {
        display: inline-block;
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: var(--ion-color-medium);

        &.voice-active {
          background-color: var(--ion-color-success);
        }

        &.voice-disconnected {
          background-color: var(--ion-color-danger);
        }

        &.voice-connecting {
          background-color: var(--ion-color-warning);
        }

        &.voice-broken {
          background-color: var(--ion-color-light-shade);
        }

        .no-input-found-indicator {
          margin: -2px;
          padding: 0;
        }
      }

      .remote-voice-id {
        display: inline-block;
        vertical-align: top;
        font-size: 14px;
        padding: 0 10px;
        color: var(--ion-color-medium);

        .remote-distance {
          display: inline-block;
          font-size: 10px;
          color: var(--ion-color-medium-shade);
        }

        .remote-version {
          font-size: 10px;
          color: var(--ion-color-medium-shade);
        }
      }

      // TESTING
      // .remove-voice-level {
      //   position: absolute;
      //   top: 6px;
      //   right: 60px;

      //   .volume-level-bar {
      //     width: 35px;
      //     height: 10px;
      //     --background: var(--ion-color-light-tint);
      //     --progress-background: var(--fg-headline);
      //   }
      // }

      .remote-action-buttons {
        position: absolute;
        top: -5px;
        right: -5px;

        ion-button {
          font-size: 12px;
          --padding-start: 5px;
          --padding-end: 5px;

          ion-icon {
            color: var(--ion-color-medium);
          }
        }

        .cooldown-counter {
          position: absolute;
          bottom: 0;
          right: 0;
          font-size: 8px;
          color: var(--ion-color-dark);
        }
      }
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
